/*
 * $Id: BrowserProperties.java,v 1.1 2005/11/14 14:15:51 rampil Exp $
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.koike.rss.tools.itb;

import java.util.ResourceBundle;

/**
 * 索引語ブラウザプロパティ
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.1 $
 */
public class BrowserProperties {
	/** プロパティファイルの接頭辞 */
	public static final String PROPERTY_PREFIX = "browser_index";
	/** リソース */
	private static ResourceBundle resource;

	/**
	 * コンストラクタ．
	 */
	private BrowserProperties() {
	}
	/**
	 * プロパティ値を返す．
	 * @param key キー
	 * @return プロパティ値
	 */
	public static final String getProperty(String key) {
		loadProperties();
		String value = null;
		try {
			value = resource.getString(key);
		} catch(Exception e) {
			// 無視する
		}

		return value;
	}
	/**
	 * プロパティ値を整数で返す．
	 * @param key キー
	 * @return プロパティ値
	 */
	public static final Integer getIntegerProperty(String key) {
		String value = getProperty(key);
		if(value == null) {
			return null;
		}

		Integer ivalue = new Integer(value);
		return ivalue;
	}
	/**
	 * プロパティファイルをロードする．
	 */
	private synchronized static void loadProperties() {
		if(resource != null) {
			return;
		}

		resource = ResourceBundle.getBundle(PROPERTY_PREFIX);
	}
}
